<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.transactions.commit-markable-resource" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="batch-size,immediate-cleanup,name"/>
        <elem name="addr-params" value="profile,subsystem,commit-markable-resource"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.transactions"/>
    </annotation>
    <refs>
        <ref feature="subsystem.transactions"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="commit-markable-resource" feature-id="true"/>
        <param name="batch-size" nillable="true" stability="default"/>
        <param name="name" nillable="true" stability="default"/>
        <param name="subsystem" feature-id="true" default="transactions"/>
        <param name="immediate-cleanup" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>